Package rtslib :: Module target

[hide private]
[frames] | no frames]

# Module target

    Implements the RTS generic Target fabric classes.

    This file is part of LIO(tm).
    Copyright (c) 2011-2014 by Datera, Inc

    Licensed under the Apache License, Version 2.0 (the "License"); you may
    not use this file except in compliance with the License. You may obtain
    a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
    License for the specific language governing permissions and limitations
    under the License.

Classes | [hide private]

| FabricModule This is an interface to RTS Target Fabric Modules.
| LUN This is an interface to RTS Target LUNs in configFS.
| MappedLUN This is an interface to RTS Target Mapped LUNs.
| NodeACL This is an interface to node ACLs in configFS.
| NetworkPortal This is an interface to NetworkPortals in configFS.
| TPG This is a an interface to Target Portal Groups in configFS.
| Target This is an interface to Targets in configFS.

Functions | [hide private]

list_specfiles() Returns the list of all specfile paths found on the system. |

parse_specfile(spec_file) Parses the fabric module spec file. |

_test() |

Variables | [hide private]

| spec_dir = ``'``/var/target/fabric``'``
| __package__ = ``'``rtslib``'``

Function Details | [hide private]

### parse_specfile(spec_file)

Parses the fabric module spec file.

Parameters:
  - `spec_file` (str) - the path to the specfile to parse.
Returns:
  a dict of spec options